### Method

# EDataServer SourceCredentialsProvider ref_source

since: 3.16

#### Declaration [src]

    ESource*
    e_source_credentials_provider_ref_source (
      ESourceCredentialsProvider* provider,
      const gchar* uid
    )

#### Description [src]

Returns referenced `ESource` with the given `uid`, or `NULL`, when it could not be found.

Available since: 3.16

#### Parameters

`uid`

  Type: `const gchar*`

  An `ESource` UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ESource`

Referenced `ESource` with the given `uid`, or `NULL`, when it could not be found. Unref the returned `ESource` with g_object_unref(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.